Bug 113503 - [PATCH] Daemon properties won't allow changes in 3-member clusters
[PATCH] Daemon properties won't allow changes in 3-member clusters
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
James Laska
: 116384 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-01-14 13:55 EST by Lon Hohberger
Modified: 2013-09-02 01:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-18 17:07:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to fix above problem. (793 bytes, patch)
2004-01-14 14:25 EST, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Lon Hohberger 2004-01-14 13:55:33 EST
Description of problem:

When you try to change daemon properties in redhat-config-cluster and
there are 3 cluster members, the daemon properties dialog refuses to
close, cited below.  When you select the cluquorumd tab, both
tiebreakers are greyed out - as should be (no tiebreaker is necessary
in odd-number clusters).  This problem prevents changing daemon log
levels as well as failover time from the GUI.

"Error: Disk Tiebreaker was selected but no Disk Ping Interval was
entered.  Please enter a disk Ping Interval (in seconds) for Disk

Version-Release number of selected component (if applicable): 1.0.1-4
How reproducible: 100%

Steps to Reproduce:
1. Create a cluster with three members in redhat-config-cluster
2. Open daemon-properties dialog box.
3. Click 'OK'.
Actual results: Error message.
Expected results: Should work.

Additional info:

- The error is correct for 2 member clusters.

- The cluster GUI should only check for 'disk tiebreaker' in 2 member
clusters.  Perhaps it should have some default value.  The cluster
back-end software has a default of 2 seconds for the ping interval.

- The cluster GUI should only check for 'IP tiebreaker' in 2 and 4
member clusters - other supported node counts (3, 5, 6, 7, 8) never
need to check for any tiebreaker, as neither is used.
Comment 1 Lon Hohberger 2004-01-14 14:25:02 EST
Created attachment 96988 [details]
Patch to fix above problem.
Comment 2 Jim Parsons 2004-01-15 17:08:41 EST
File patched and checked into CVS.
Comment 3 Lon Hohberger 2004-03-08 11:32:32 EST
*** Bug 116384 has been marked as a duplicate of this bug. ***
Comment 4 Suzanne Hillman 2004-03-18 17:07:00 EST

Note You need to log in before you can comment on or make changes to this bug.